Last updated: September 23, 2026
Create Web3 Directory
Create Web3 Directory.
Request
POST
https://superadminuser.miniorange.in/services/api/idps/v1/web3Authentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| displayName | String | Optional | |
| identifier | String | Optional | |
| walletType | String | Optional | |
| showIdpToUsers | String | Optional | |
| endUserLogin | String | Optional | |
| promptForUserRegistration | String | Optional | |
| sendConfiguredAttributes | String | Optional | |
| isDefault | String | Optional | |
| domainMapping | String | Optional | |
| attributeMapping | String | Optional | |
| groupMapping | String | Optional |
Request body
{
"displayName": "My Metamask Web3 Directory",
"identifier": "my_metamask_web3",
"walletType": "metamask",
"showIdpToUsers": false,
"endUserLogin": false,
"promptForUserRegistration": false,
"sendConfiguredAttributes": false,
"isDefault": false,
"domainMapping": null,
"attributeMapping": [
{
"incomingAttribute": "wallet_address",
"outgoingAttribute": "username"
}
],
"groupMapping": []
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.